RoutesMcp serversServerslugCredentialsProfilesProfileid
/mcp-servers/{serverSlug}/credentials/profiles/{profileId}
Create or replace the profile-scoped credentials of an MCP server. The credential type must match the authorization method of the server. Servers with transport type "stdio" or "hosted" are restarted to apply the new credentials
AuthorizationBearer <token>
In: header
Path Parameters
serverSlug*string
Length
1 <= lengthprofileId*string
Length
1 <= lengthRequest Body
application/json
type*string
Credential type discriminator, always "apikey"
apikeys*array<array<>>
API keys as [name, value] pairs
Response Body
application/json
curl -X PUT "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string/credentials/profiles/string" \ -H "Content-Type: application/json" \ -d '{ "type": "apikey", "apikeys": [ [ "string", "string" ] ] }'{
"success": true
}